<template>
 	<view class="bg_color_fff tools flex-center-between">
    <view class="font_size25 nowrap">今日次数 <text class="color_price">{{appStore.userInfo?.aiQuotaDaily}}</text> 次</view>
    <view class="font_size25 nowrap">余额 <text class="color_price">{{appStore.userInfo?.rechargeBalance}}</text> {{appStore.moneyUnit}}</view>
    <view>
      <image src="/static/img/wenhua.png" mode="" class="mr20 tool-icon" @click="tohistoryList"/>
      <image src="/static/img/addHuiHua.png" mode="" class="mr20 ml20 tool-icon" @click="addHuiHuaFn"/>
    </view>
  </view>
</template>
<script setup>
import { ref } from "vue";
import { useAppStore } from "@/stores/app";
import { onShow} from '@dcloudio/uni-app'
const appStore = useAppStore();
const emit = defineEmits(['addHuiHuaFn'])
// 新增：添加回话功能
function addHuiHuaFn(){
  appStore.sessionId = '';
  emit('addHuiHuaFn');
}
function tohistoryList(){
  uni.navigateTo({
    url: '/pages/historyList/historyList',
  })
}

</script>
<style lang="scss" scoped>
.tools{
  padding: 0 20rpx 20rpx;
  .tool-icon{
    width: 50rpx;
    height: 50rpx;
  }
}
</style>
